Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
on_page
/
links
Links
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/on_page/links \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "page_from": "<string>",
  "page_to": "<string>",
  "limit": 123,
  "offset": 123,
  "filters": [
    "<string>"
  ],
  "search_after_token": "<string>",
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.crawl_progress": "<string>",
  "tasks.result.crawl_status": {},
  "tasks.result.crawl_status.max_crawl_pages": 123,
  "tasks.result.crawl_status.pages_in_queue": 123,
  "tasks.result.crawl_status.pages_crawled": 123,
  "tasks.result.total_items_count": 123,
  "tasks.result.items_count": 123,
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.items.type": "<string>",
  "tasks.result.items.domain_from": "<string>",
  "tasks.result.items.domain_to": "<string>",
  "tasks.result.items.page_from": "<string>",
  "tasks.result.items.page_to": "<string>",
  "tasks.result.items.link_from": "<string>",
  "tasks.result.items.link_to": "<string>",
  "tasks.result.items.link_attribute": [
    "<string>"
  ],
  "tasks.result.items.dofollow": true,
  "tasks.result.items.page_from_scheme": "<string>",
  "tasks.result.items.page_to_scheme": "<string>",
  "tasks.result.items.direction": "<string>",
  "tasks.result.items.is_broken": true,
  "tasks.result.items.text": "<string>",
  "tasks.result.items.is_link_relation_conflict": true,
  "tasks.result.items.page_to_status_code": 123,
  "tasks.result.items.image_alt": "<string>",
  "tasks.result.items.image_src": "<string>",
  "tasks.result.items.is_valid_hreflang": true,
  "tasks.result.items.hreflang": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
id
string
required

ID of the task required field you can get this ID in the response of the Task POST endpoint example: “07131248-1535-0216-1000-17384017ad04”

page_from
string

relative page URL optional field if you use this field, the API response will contain only links from the specified page note that in this field you can specify relative URLs only

page_to
string

relative page URL optional field if you use this field, the API response will contain only internal links pointing to the specified page note that in this field you can specify relative URLs only

limit
integer

the maximum number of returned links optional field default value: 100 maximum value: 1000

offset
integer

offset in the results array of returned links optional field default value: 0 if you specify the 10 value, the first ten links in the results array will be omitted and the data will be provided for the successive links

filters
string[]

array of results filtering parameters optional field you can add several filters at once (8 filters maximum) you should set a logical operator and, or between the conditions the following operators are supported: regex, not_regex, =, , in, not_in, like, not_like you can use the % operator with like and not_like to match any string of zero or more characters example: ["direction","=","external"] [["domain_to","","example.com"], "and", ["link_from","not_like","%example.com/blog%"]] [["direction","=","external"], "and", [["link_from","like","%example.com/blog%"],"or",["link_from","like","%example.com/help%"]]] The full list of possible filters is available by this link.

search_after_token
string

token for subsequent requests optional field provided in the identical filed of the response to each request; use this parameter to avoid timeouts while trying to obtain over 20,000 results in a single request; by specifying the unique search_after_token value from the response array, you will get the subsequent results of the initial task; search_after_token values are unique for each subsequent task ; Note: if the search_after_token is specified in the request, all other parameters should be identical to the previous request

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.crawl_progress
string

status of the crawling session possible values: in_progress, finished

tasks.result.crawl_status
object

details of the crawling session

tasks.result.crawl_status.max_crawl_pages
integer

maximum number of pages to crawl indicates the max_crawl_pages limit you specified when setting a task

tasks.result.crawl_status.pages_in_queue
integer

number of pages that are currently in the crawling queue

tasks.result.crawl_status.pages_crawled
integer

number of crawled pages

tasks.result.total_items_count
integer

total number of relevant items in the database

tasks.result.items_count
integer

number of items in the results array

tasks.result.items
string[]

items array

tasks.result.items.type
string

type of the link = ‘redirect’ HTTP redirect with 3xx status code

tasks.result.items.domain_from
string

referring domain the link was found on this domain

tasks.result.items.domain_to
string

referenced domain the link is pointing to this domain

tasks.result.items.page_from
string

referring page relative URL of the page on which the link was found

tasks.result.items.page_to
string

referenced page relative URL of the page to which the link is pointing

referring page absolute URL of the page on which the link was found

referenced page absolute URL of the page to which the link is pointing

link attribute added to external link indicates link attributes added to the link_to on the page_from ["ugc","noopener"]

tasks.result.items.dofollow
boolean

indicates whether the link is dofollow if the value is true, the link doesn’t have a rel="nofollow" attribute

tasks.result.items.page_from_scheme
string

url scheme of the referring page

tasks.result.items.page_to_scheme
string

url scheme of the referenced page

tasks.result.items.direction
string

direction of the link possible values: internal, external

tasks.result.items.is_broken
boolean

link is broken indicates whether a link is directing to a broken page or resource

tasks.result.items.text
string

image text

indicates that the link may have a conflict with another link if true, at least one link pointing to link_to has a rel="nofollow" attribute and at least one is dofollow

tasks.result.items.page_to_status_code
integer

status code of the referenced page status code of the page to which the link is pointing

tasks.result.items.image_alt
string

alternative text for the image

tasks.result.items.image_src
string

url of the image

tasks.result.items.is_valid_hreflang
boolean

hreflang validity status indicates whether the hreflang attribute is correctly implemented

tasks.result.items.hreflang
string

hreflang attribute value language and optional country code specified in the hreflang attribute example: "en-US", "fr"